# Class CAVersionConverter

java.lang.Object
com.io7m.cardant.shell.internal.converters.CAVersionConverter

All Implemented Interfaces:
  `com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>`

public final class CAVersionConverter extends Object implements com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>
A value converter for type match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAVersionConverter()`
  Construct a converter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<com.io7m.verona.core.Version>`
  `convertedClass()`
  `com.io7m.verona.core.Version`
  `convertFromString(String text)`
  `String`
  `convertToString(com.io7m.verona.core.Version value)`
  `com.io7m.verona.core.Version`
  `exampleValue()`
  `String`
  `syntax()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAVersionConverter

    public CAVersionConverter()
    Construct a converter.

- ## Method Details

  - ### convertFromString

    public com.io7m.verona.core.Version convertFromString(String text) throws com.io7m.quarrel.core.QException
    Specified by:
      `convertFromString` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>`
    Throws:
      `com.io7m.quarrel.core.QException`

  - ### convertToString

    public String convertToString(com.io7m.verona.core.Version value)
    Specified by:
      `convertToString` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>`

  - ### exampleValue

    public com.io7m.verona.core.Version exampleValue()
    Specified by:
      `exampleValue` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>`

  - ### syntax

    public String syntax()
    Specified by:
      `syntax` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>`

  - ### convertedClass

    public Class<com.io7m.verona.core.Version> convertedClass()
    Specified by:
      `convertedClass` in interface `com.io7m.quarrel.core.QValueConverterType<com.io7m.verona.core.Version>`